
Figure - Bug #117728
【BSP】【DVT】【MCU】【客户验证】锦江实车：0090 userdebug升级到0094 user后，偶现 锁车副屏不关机问
题
2023-04-28 18:57 - 移动测试一组_CDTS 刘强

Status: CLOSED Start date: 2023-04-28

Priority: High Due date:

Assignee: 移动测试一组_CDTS 刘强 % Done: 100%

Category: BSP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 0090-0094

Resolution: -- Degrated: --

Severity: Major Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause:

Description

前置条件

None

操作步骤：

1.设备烧写0090 userdebug版本

2.OTA升级到0094 user版本

3.中控副屏点击下电关机

预期结果：

副屏关机

实际结果：

副屏不关机

History

#1 - 2023-05-05 10:58 - CD TPM-王祥林

- Assignee changed from CD TPM-王祥林 to BSP组-RD3_CDTS  陈宙贤

#2 - 2023-05-05 20:56 - BSP组-RD3_CDTS  陈宙贤

使用EVT 01的硬件板子验证，从0090->0094，从mcu串口中可看到mcu进入了升级流程，也看到完成MCU完成升级的标志3C 08 00 00 FF 85 01 4F 。但从问

题车中的日志发现，MCU并未进入升级流程。

下一步先继续看日志，分析原因。

#3 - 2023-05-10 14:15 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

198906 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

zhouxian.chen@thundersoft.com
BSP:MCU: Fix abnormal restart issues during upgradeModifying abnormal upgrade issues caused by CAN interruption. Currently, the initialization of CAN has

been annotated, and further debugging will be carried out according to the requirements of CAN.Bin version: V0.1.6TC-RID: 1201-0102704IssueID:

TS-R-BUG-117728Change-Id: Ic47a5af820265273dff75c3b71eb06db5c464f63

#4 - 2023-05-10 14:19 - BSP组-RD3_CDTS  陈宙贤

V0.1.5已修复kl15开关无效导致副屏不关机问题。

当前bug是由于升级失败引起，当重新升级后，引出升级失败反复重启问题。

当前分析是在升级过程中的CAN中断引起的升级异常。

#5 - 2023-05-10 14:22 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

198979 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

scm@thundersoft.com

BSP:MCU: Fix abnormal restart issues during upgradeModifying abnormal upgrade issues caused by CAN interruption. Currently, the initialization of CAN has

been annotated, and further debugging will be carried out according to the requirements of CAN.Bin version: V0.1.6TC-RID: 1201-0102704IssueID:

TS-R-BUG-117728Change-Id: Ifc106db57b602347c8e6e8ae5db7d06ec3f8e3d3

#6 - 2023-05-10 14:30 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

198866 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-release_v8.7

wangxl0510@thundersoft.com

BSP:MCU: Fix abnormal restart issues during upgradeModifying abnormal upgrade issues caused by CAN interruption. Currently, the initialization of CAN has

been annotated, and further debugging will be carried out according to the requirements of CAN.Bin version: V0.1.6TC-RID: 1201-0102704IssueID:

TS-R-BUG-117728Change-Id: Ifc106db57b602347c8e6e8ae5db7d06ec3f8e3d3(cherry picked from commit f429cc4a2bc4c3ef12271d822a2b6872db624b0f)

#7 - 2023-05-11 00:23 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

199202 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

wangxl0510@thundersoft.com

BSP:MCU: Change mcu version from V0.1.6 to V0.1.7TC-RID: 1201-0102704IssueID: TS-R-BUG-117728Change-Id:

I24cc7342c67b569c6c056e5035917c368fd1aede
#8 - 2023-05-11 09:47 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

199285 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-release_v0098

wangxl0510@thundersoft.com

BSP:MCU:Update MCU from V0.1.5 to V0.1.7TC-RID: 1201-0102704IssueID: TS-R-BUG-117728Change-Id: I1584372737e8abcd967a22ff9134234740758160

#9 - 2023-05-15 10:08 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

199869 Pre_figure/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

zhouxian.chen@thundersoft.com

BSP:MCU: Disable CAN Interrupt Before MCU UpgradingDisable CAN Interrupt and ADC Interrupt Before MCU Upgrading.Bin version: V0.1.7TC-RID:

1201-0102704IssueID: TS-R-BUG-117728Change-Id: Ibb1db63ce47cec545fd9985c10a3fc6ad4edeb28

#10 - 2023-05-15 17:30 - BSP组-RD3_CDTS  陈宙贤

已修改：https://dev.thundercomm.com/gerrit/c/Pre_figure/mcu/+/199869

1.在跳转boot之前禁用CAN中断。MCU版本更新为V0.1.7

#11 - 2023-05-15 17:30 - BSP组-RD3_CDTS  陈宙贤

- Status changed from New to RESOLVED

- Assignee changed from BSP组-RD3_CDTS  陈宙贤 to 移动测试一组_CDTS 刘强

- % Done changed from 0 to 100

#12 - 2023-05-15 19:28 - 移动测试一组_CDTS 刘强

- Subject changed from 【BSP】【DVT】【MCU】锦江实车：0090 userdebug升级到0094 user后，偶现 锁车副屏不关机问题 to 【BSP】【DVT】【MCU】【

客户验证】锦江实车：0090 userdebug升级到0094 user后，偶现 锁车副屏不关机问题

#13 - 2023-05-15 23:31 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

200283 general/vendor/tc/mcu Pre_figure_turbox-c2130c-la1.1-vendo

r-dev

scm@thundersoft.com

BSP:MCU: Disable CAN Interrupt Before MCU UpgradingDisable CAN Interrupt and ADC Interrupt Before MCU Upgrading.Bin version: V0.1.7TC-RID:

1201-0102704IssueID: TS-R-BUG-117728Change-Id: Iebfb0eb4b5e40c269713aed736e6b78d42aa87a9
https://dev.thundercomm.com/gerrit/c/Pre_figure/mcu/+/199869


#14 - 2023-07-13 17:57 - 移动测试一组_CDTS 刘强

- Status changed from RESOLVED to VERIFIED

根据：https://thundersoft.feishu.cn/docx/DdV8dpUz1owXYDxMQrMcf4Lonyh 验证结果且客户近期未出现同件问题，因此关闭

#15 - 2023-07-13 17:57 - 移动测试一组_CDTS 刘强

- Status changed from VERIFIED to CLOSED
https://thundersoft.feishu.cn/docx/DdV8dpUz1owXYDxMQrMcf4Lonyh

